Error that is thrown if the next window is beyond the total number of results

### Hierarchy

- ApiError
  - OutOfRangeError

## Index

### Constructors

- constructor

### Properties

- data
- message
- name
- stack

### Methods

- toString

## Constructors

### constructor

- new OutOfRangeError(searchRequest: SCSearchRequest): OutOfRangeError

- Overrides ApiError.constructor

  - Defined in src/errors.ts:57

  Instantiate a new error

  #### Parameters

  - ##### searchRequest: SCSearchRequest

    Search request where window is out of range

  #### Returns OutOfRangeError

## Properties

### Protected data

data: Partial<SCErrorResponse>

Inherited from ApiError.data

- Defined in src/errors.ts:26

Representation of an error that happened in the backend

### message

message: string

Inherited from Error.message

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:964

### name

name: string

Inherited from Error.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:963

### Optional stack

stack: undefined | string

Inherited from Error.stack

Overrides Error.stack

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:965

## Methods

### toString

- toString(): string

- Inherited from ApiError.toString

  - Defined in src/errors.ts:37

  Add additional data to the output of the error

  #### Returns string

Generated using TypeDoc